Skip to main content
GET
/
event-media
/
generate-link
Retrieve download links for specific event media.
curl --request GET \
  --url https://api.nuwebgroup.com/v1/event-media/generate-link \
  --header 'Authorization: Bearer <token>'
{
  "url": "https://event-ticketing.com/downloads?signature=123jnk5n2njhb4kjb312kj3b12j3k"
}

Documentation Index

Fetch the complete documentation index at: https://docs.nuwebgroup.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The 'Bearer' token can be obtained from the token management interface or via the login endpoint using your admin user credentials.

Headers

X-NU-COMPANY-ID
integer

The ID of the company this operation should be performed against.

Accept-Language
string

Sets the preferred language for localised response content (e.g. en, fr, de). If the requested language is not supported by the company, the company fallback language will be assumed.

Query Parameters

orderId
integer
required
items
integer[]

The order item IDs from this order that you wish to generate a download URL for. If none are provided, all items will be included.

eventMediaId
integer
eventMediaExternalId
string
includeTransferredItems
boolean

Response

Successfully generated the event media download links.

url
string